Change one project's name.
Base URL: https://cloud.mongodb.com/api/public/v1.0
Resource
PATCH /orgs/{ORG-ID}Request Path Parameters
Name | Type | Description |
|---|---|---|
| string | The unique identifier of the organization. |
Request Query Parameters
The following query parameters are optional:
Name | Type | Necessity | Description | Default |
|---|---|---|---|---|
pretty | boolean | Optional | Flag indicating whether to return the response body in a prettyprint format. |
|
envelope | boolean | Optional | Flag that indicates whether to wrap the response in an envelope. Some API clients can't access the HTTP response headers or status code. To remediate this, set envelope=true in the query. For endpoints that return one result, the response body includes:
|
|
Request Body Parameters
Name | Type | Necessity | Description |
|---|---|---|---|
name | string | Required | The new name for the organization. |
Response
Name | Type | Description |
|---|---|---|
| Unique identifier for the organization. | |
| boolean | Flag indicating if the organization is deleted. |
| document array | One or more links to sub-resources and/or related resources. The relations between URLs are explained in the Web Linking Specification. |
| string | New name of the organization. |
Example Request
curl --user "{PUBLIC-KEY}:{PRIVATE-KEY}" --digest \ --header "Accept: application/json" \ --header "Content-Type: application/json" \ --include \ --request PATCH "https://cloud.mongodb.com/api/public/v1.0/orgs/{ORG-ID}?pretty=true" \ --data ' { "name" : "Organization Name 1" }'Example Response
{ "id": "{ORG-ID}", "isDeleted": false, "links": [{ "href": "https://cloud-dev.mongodb.com/api/public/v1.0/orgs/{ORG-ID}", "rel": "self" }, { "href": "https://cloud-dev.mongodb.com/api/public/v1.0/orgs/{ORG-ID}/groups", "rel": "http://mms.mongodb.com/groups" }, { "href": "https://cloud-dev.mongodb.com/api/public/v1.0/orgs/{ORG-ID}/teams", "rel": "http://mms.mongodb.com/teams" }, { "href": "https://cloud-dev.mongodb.com/api/public/v1.0/orgs/{ORG-ID}/users", "rel": "http://mms.mongodb.com/users" } ], "name": "Organization Name 1"}